petsc-3.12.4 2020-02-04
Report Typos and Errors

# DMPlexGetNumFaceVertices

Returns the number of vertices on a face

### Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexGetNumFaceVertices(DM dm, PetscInt cellDim, PetscInt numCorners, PetscInt *numFaceVertices)

Not Collective

### Input Parameters

| dm | - The DMPlex
| cellDim | - The cell dimension
| numCorners | - The number of vertices on a cell

### Output Parameters

numFaceVertices -The number of vertices on a face

### Notes

Of course this can only work for a restricted set of symmetric shapes

### See Also

DMPlexGetCone()

### Level

developer

### Location

src/dm/impls/plex/plex.c
Index of all DMPLEX routines
Table of Contents for all manual pages
Index of all manual pages